import { jsx } from "react/jsx-runtime";
import { Rocket as Rocket$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Rocket = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Rocket", ...props, children: /* @__PURE__ */ jsx(Rocket$1, { weight: variant }) });
  }
);
Rocket.displayName = "Rocket";
Object.assign(Rocket, { isGdsIcon: true });
export {
  Rocket
};
